---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libattach022Agent00.dylib'
relocations:
  - { offsetInCU: 0x6DE, offset: 0x6DE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x83030, symBinAddr: 0xC250, symSize: 0x0 }
  - { offsetInCU: 0x705, offset: 0x705, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x84F70, symBinAddr: 0xE190, symSize: 0x0 }
  - { offsetInCU: 0x727, offset: 0x727, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x85360, symBinAddr: 0xE580, symSize: 0x0 }
  - { offsetInCU: 0x749, offset: 0x749, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x86300, symBinAddr: 0xF520, symSize: 0x0 }
  - { offsetInCU: 0x75E, offset: 0x75E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x86310, symBinAddr: 0xF530, symSize: 0x0 }
  - { offsetInCU: 0x8DED, offset: 0x8DED, size: 0x8, addend: 0x0, symName: _success, symObjAddr: 0x15490, symBinAddr: 0xC0C8, symSize: 0x0 }
  - { offsetInCU: 0x8E07, offset: 0x8E07, size: 0x8, addend: 0x0, symName: _agentFinished, symObjAddr: 0x9DAB0, symBinAddr: 0x26C30, symSize: 0x0 }
  - { offsetInCU: 0x8E28, offset: 0x8E28, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x82C60, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0x8E33, offset: 0x8E33, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x82C64, symBinAddr: 0xC0D4, symSize: 0x0 }
  - { offsetInCU: 0x8E3E, offset: 0x8E3E, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x82C68, symBinAddr: 0xC0D8, symSize: 0x0 }
  - { offsetInCU: 0x8E83, offset: 0x8E83, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x82DC0, symBinAddr: 0xC0E0, symSize: 0x0 }
  - { offsetInCU: 0x8EF0, offset: 0x8EF0, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x82E78, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8F09, offset: 0x8F09, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x82E7C, symBinAddr: 0xC19C, symSize: 0x0 }
  - { offsetInCU: 0x8F22, offset: 0x8F22, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x82E80, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8F3B, offset: 0x8F3B, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x82E84, symBinAddr: 0xC1A4, symSize: 0x0 }
  - { offsetInCU: 0x8F54, offset: 0x8F54, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x82E88, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8F6D, offset: 0x8F6D, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x82E90, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x8FF6, offset: 0x8FF6, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x82EA0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x900F, offset: 0x900F, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x82EA8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9028, offset: 0x9028, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x82EB0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9041, offset: 0x9041, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x82EB8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x905A, offset: 0x905A, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x82EC0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9074, offset: 0x9074, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x82EC8, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x915A, offset: 0x915A, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x82F0C, symBinAddr: 0xC1FC, symSize: 0x0 }
  - { offsetInCU: 0x9173, offset: 0x9173, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x82F10, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x918C, offset: 0x918C, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x82F18, symBinAddr: 0xC208, symSize: 0x0 }
  - { offsetInCU: 0x91A5, offset: 0x91A5, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x82F20, symBinAddr: 0xC210, symSize: 0x0 }
  - { offsetInCU: 0x91BE, offset: 0x91BE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x82F30, symBinAddr: 0xC220, symSize: 0x0 }
  - { offsetInCU: 0x91D7, offset: 0x91D7, size: 0x8, addend: 0x0, symName: __ZL9agentName, symObjAddr: 0x82F38, symBinAddr: 0xC228, symSize: 0x0 }
  - { offsetInCU: 0x91F0, offset: 0x91F0, size: 0x8, addend: 0x0, symName: __ZL20taggedObjectsCounter, symObjAddr: 0x82F40, symBinAddr: 0xC230, symSize: 0x0 }
  - { offsetInCU: 0x9209, offset: 0x9209, size: 0x8, addend: 0x0, symName: __ZL19freedObjectsCounter, symObjAddr: 0x82F44, symBinAddr: 0xC234, symSize: 0x0 }
  - { offsetInCU: 0x9222, offset: 0x9222, size: 0x8, addend: 0x0, symName: __ZL17objectFreeMonitor, symObjAddr: 0x82F48, symBinAddr: 0xC238, symSize: 0x0 }
  - { offsetInCU: 0x923B, offset: 0x923B, size: 0x8, addend: 0x0, symName: __ZL16objectTagMonitor, symObjAddr: 0x82F50, symBinAddr: 0xC240, symSize: 0x0 }
  - { offsetInCU: 0x9254, offset: 0x9254, size: 0x8, addend: 0x0, symName: __ZL7options, symObjAddr: 0x82F58, symBinAddr: 0xC248, symSize: 0x0 }
  - { offsetInCU: 0x9D00, offset: 0x9D00, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv9FindClassEPKciS1_, symObjAddr: 0x0, symBinAddr: 0x1CD0, symSize: 0x100 }
  - { offsetInCU: 0x9EFD, offset: 0x9EFD, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassED1Ev, symObjAddr: 0x100, symBinAddr: 0x1DD0, symSize: 0x220 }
  - { offsetInCU: 0xA278, offset: 0xA278, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassE17DecimalToAsciiRecEPci, symObjAddr: 0x101B0, symBinAddr: 0x5E20, symSize: 0x50 }
  - { offsetInCU: 0xA4CB, offset: 0xA4CB, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv15RegisterNativesEP7_jclassPK15JNINativeMethodiiPKc, symObjAddr: 0x320, symBinAddr: 0x1FF0, symSize: 0x140 }
  - { offsetInCU: 0xA738, offset: 0xA738, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIiED1Ev, symObjAddr: 0x460, symBinAddr: 0x2130, symSize: 0x220 }
  - { offsetInCU: 0xAA40, offset: 0xAA40, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIiE17DecimalToAsciiRecEPci, symObjAddr: 0x10200, symBinAddr: 0x5E70, symSize: 0x50 }
  - { offsetInCU: 0xAB9E, offset: 0xAB9E, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x3750, symBinAddr: 0x2500, symSize: 0x80 }
  - { offsetInCU: 0xAC33, offset: 0xAC33, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x36A0, symBinAddr: 0x2450, symSize: 0xB0 }
  - { offsetInCU: 0xAC8E, offset: 0xAC8E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x3580, symBinAddr: 0x2350, symSize: 0x100 }
  - { offsetInCU: 0xAF21, offset: 0xAF21, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x3890, symBinAddr: 0x2580, symSize: 0x220 }
  - { offsetInCU: 0xB106, offset: 0xB106, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x3AB0, symBinAddr: 0x27A0, symSize: 0xA0 }
  - { offsetInCU: 0xB1B9, offset: 0xB1B9, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x3B70, symBinAddr: 0x2840, symSize: 0x110 }
  - { offsetInCU: 0xB2AF, offset: 0xB2AF, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x3D10, symBinAddr: 0x2950, symSize: 0x150 }
  - { offsetInCU: 0xB407, offset: 0xB407, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x4A80, symBinAddr: 0x2AA0, symSize: 0x30 }
  - { offsetInCU: 0xB4C8, offset: 0xB4C8, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x4F10, symBinAddr: 0x2AD0, symSize: 0x150 }
  - { offsetInCU: 0xB6C0, offset: 0xB6C0, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x5060, symBinAddr: 0x2C20, symSize: 0x160 }
  - { offsetInCU: 0xB860, offset: 0xB860, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x5C40, symBinAddr: 0x2D80, symSize: 0x1B0 }
  - { offsetInCU: 0xBA7B, offset: 0xBA7B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x5DF0, symBinAddr: 0x2F30, symSize: 0xA0 }
  - { offsetInCU: 0xBB4A, offset: 0xBB4A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x6160, symBinAddr: 0x2FD0, symSize: 0x20 }
  - { offsetInCU: 0xBB81, offset: 0xBB81, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x6180, symBinAddr: 0x2FF0, symSize: 0x20 }
  - { offsetInCU: 0xBBB8, offset: 0xBBB8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x61A0, symBinAddr: 0x3010, symSize: 0x20 }
  - { offsetInCU: 0xBD27, offset: 0xBD27, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x68B0, symBinAddr: 0x3030, symSize: 0x1A0 }
  - { offsetInCU: 0xC043, offset: 0xC043, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x6A50, symBinAddr: 0x31D0, symSize: 0x130 }
  - { offsetInCU: 0xC1F3, offset: 0xC1F3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x7020, symBinAddr: 0x3300, symSize: 0x80 }
  - { offsetInCU: 0xC2BD, offset: 0xC2BD, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x70A0, symBinAddr: 0x3380, symSize: 0x6A0 }
  - { offsetInCU: 0xCDD9, offset: 0xCDD9, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xE560, symBinAddr: 0x4D90, symSize: 0xB0 }
  - { offsetInCU: 0xCE50, offset: 0xCE50, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x7740, symBinAddr: 0x3A20, symSize: 0x70 }
  - { offsetInCU: 0xCF44, offset: 0xCF44, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x8450, symBinAddr: 0x3A90, symSize: 0xA0 }
  - { offsetInCU: 0xD04F, offset: 0xD04F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x9280, symBinAddr: 0x3B30, symSize: 0x40 }
  - { offsetInCU: 0xD145, offset: 0xD145, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x92C0, symBinAddr: 0x3B70, symSize: 0x2B0 }
  - { offsetInCU: 0xD4EB, offset: 0xD4EB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x9570, symBinAddr: 0x3E20, symSize: 0xC0 }
  - { offsetInCU: 0xD631, offset: 0xD631, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x9630, symBinAddr: 0x3EE0, symSize: 0x10 }
  - { offsetInCU: 0xD6F3, offset: 0xD6F3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x9640, symBinAddr: 0x3EF0, symSize: 0x220 }
  - { offsetInCU: 0xD9F0, offset: 0xD9F0, size: 0x8, addend: 0x0, symName: _nsk_free_options, symObjAddr: 0xCE80, symBinAddr: 0x4110, symSize: 0x150 }
  - { offsetInCU: 0xDAB3, offset: 0xDAB3, size: 0x8, addend: 0x0, symName: _nsk_aod_createOptions, symObjAddr: 0xCFD0, symBinAddr: 0x4260, symSize: 0x3C0 }
  - { offsetInCU: 0xDDE8, offset: 0xDDE8, size: 0x8, addend: 0x0, symName: _nsk_aod_getOptionValue, symObjAddr: 0xD470, symBinAddr: 0x4620, symSize: 0xF0 }
  - { offsetInCU: 0xDEB2, offset: 0xDEB2, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0xD560, symBinAddr: 0x4710, symSize: 0x270 }
  - { offsetInCU: 0xE163, offset: 0xE163, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0xD7D0, symBinAddr: 0x4980, symSize: 0xB0 }
  - { offsetInCU: 0xE1CA, offset: 0xE1CA, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0xD880, symBinAddr: 0x4A30, symSize: 0x1E0 }
  - { offsetInCU: 0xE411, offset: 0xE411, size: 0x8, addend: 0x0, symName: _nsk_jvmti_aod_getClassName, symObjAddr: 0xDF40, symBinAddr: 0x4C10, symSize: 0x180 }
  - { offsetInCU: 0xE608, offset: 0xE608, size: 0x8, addend: 0x0, symName: _shutdownAgent, symObjAddr: 0xF130, symBinAddr: 0x4E40, symSize: 0x130 }
  - { offsetInCU: 0xE790, offset: 0xE790, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_AttachOnDemand_attach022_attach022Target_shutdownAgent, symObjAddr: 0xF260, symBinAddr: 0x4F70, symSize: 0x190 }
  - { offsetInCU: 0xE960, offset: 0xE960, size: 0x8, addend: 0x0, symName: _objectFreeHandler, symObjAddr: 0xF3F0, symBinAddr: 0x5100, symSize: 0x120 }
  - { offsetInCU: 0xEBD0, offset: 0xEBD0, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv10FatalErrorEP7JNIEnv_PKc, symObjAddr: 0xF5B0, symBinAddr: 0x5220, symSize: 0x40 }
  - { offsetInCU: 0xEC9D, offset: 0xEC9D, size: 0x8, addend: 0x0, symName: _vmObjectAllocHandler, symObjAddr: 0xF5F0, symBinAddr: 0x5260, symSize: 0x2A0 }
  - { offsetInCU: 0xF016, offset: 0xF016, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xF890, symBinAddr: 0x5500, symSize: 0x5A0 }
  - { offsetInCU: 0xF768, offset: 0xF768, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xFE30, symBinAddr: 0x5AA0, symSize: 0x370 }
...
